package com.good.ca.protocol.authentication;

import org.apache.http.client.HttpClient;

public class ClientCertificateAuthentication implements HttpAuthentication {

    private AbstractSSLConnection sslConnection;

    public ClientCertificateAuthentication(AbstractSSLConnection sslConnection) throws HttpAuthenticationException {
        this.sslConnection = sslConnection;
    }

    @Override
    public HttpClient getClient() throws HttpAuthenticationException {
        return sslConnection.getHttpClient();
    }

    @Override
    public AuthenticationType getType() {
        return AuthenticationType.CLIENT_CERT_AUTH;
    }
}
