package com.good.ca.protocol.authentication;

import org.apache.http.client.HttpClient;

public interface HttpAuthentication {
	
	enum AuthenticationType {
		NO_AUTH,
		BASIC_AUTH,
		CLIENT_CERT_AUTH;
	}

	HttpClient getClient() throws HttpAuthenticationException;
	
	AuthenticationType getType();

}
