package com.good.ca.protocol.authentication;

import org.apache.http.client.HttpClient;

public class SSLBasicAuthentication extends BasicAuthentication {

    private AbstractSSLConnection sslConnection;

    public SSLBasicAuthentication(String userName, String password, AbstractSSLConnection sslConnection) {
        super(userName, password);
        this.sslConnection = sslConnection;
    }

    @Override
    public HttpClient getClient() throws HttpAuthenticationException {
        return sslConnection.getHttpClient();
    }
}
