package com.good.ca.protocol.bean;

import com.google.gson.JsonObject;

public class RequestCARevoke extends RequestCertificateAuthority {

	String publicCert = null;
	String reason = null;

	public String getPublicCert() {
		return publicCert;
	}

	public void setPublicCert(final String publicCert) {
		this.publicCert = publicCert;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(final String reason) {
		this.reason = reason;
	}

	@Override
	public JsonObject getMessage() {
		JsonObject message = new JsonObject();
		message.addProperty("publicCert", this.publicCert);
		message.addProperty("reason", this.getReason());
		return message;
	}

	@Override
	public void setHttpType() {
		this.httpType = HttpType.POST;
	}

}
