package com.good.ca.protocol.bean;

public enum RequestType {

	INITIAL_CERT("initialCert"), RENEW_CERT("renewCert");

	private final String type;

	RequestType(final String type) {
		this.type = type;
	}

	public String getType() {
		return this.type;
	}
	
	public static RequestType getByType(String type){
		for (RequestType enumType:RequestType.values()){
			if (enumType.toString().equals(type)){
				return enumType;
			}
		}
		return null;
	}

	public String toString() {
		return this.type;
	}

}
