package com.good.ca.protocol.bean;

import org.json.JSONArray;
import org.json.JSONException;

import java.util.ArrayList;
import java.util.List;

public class ResponseCAGetInfo extends ResponseCertificateAuthority {

    public ResponseCAGetInfo(String json) throws JSONException {
        super(json);
    }

    public List<String> getOperations() throws JSONException {
        JSONArray operations = this.getJSONObject().getJSONArray("operations");
        List<String> result = new ArrayList<>();
        if (operations != null) {
            for (int i=0;i<operations.length();i++){
                result.add(operations.getString(i));
            }
        }
        return result;
    }
}
