package com.good.ca.protocol.model;

import com.google.gson.Gson;

/**
 * Model class fo testing, which contains mock response data for revoke request to real end-point
 *
 * Created by omoniat on 04.04.2016.
 */
public class RevokeResponseData implements JSONConvertible {
    String status;
    String failureInfo;

    public RevokeResponseData(String status, String failureInfo) {
        this.status = status;
        this.failureInfo = failureInfo;
    }

    public String toJSON(){
        Gson gson = new Gson();
        return gson.toJson(this);
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getFailureInfo() {
        return failureInfo;
    }

    public void setFailureInfo(String failureInfo) {
        this.failureInfo = failureInfo;
    }

}

