package com.good.ca.protocol.authentication;

import org.apache.http.client.HttpClient;
import org.apache.http.impl.client.DefaultHttpClient;

public class SansAuthentication implements HttpAuthentication {

    @Override
    public HttpClient getClient() throws HttpAuthenticationException {
        DefaultHttpClient httpClient = null;
        try {
            httpClient = new DefaultHttpClient();

        } catch (Exception e) {
            throw new HttpAuthenticationException(e);
        }
        return httpClient;
    }


    @Override
    public AuthenticationType getType() {
        return AuthenticationType.NO_AUTH;
    }
}
