package com.good.ca.protocol.model;

import com.google.gson.Gson;

/**
 * Model class fo testing, which contains mock response data for getInfo request to real end-point
 *
 * Created by omoniat on 21.03.2016.
 */
public class InfoResponseData implements JSONConvertible{

    String[] operations;

    public InfoResponseData(String[] operations) {
        this.operations = operations;
    }

    public String[] getOperations() {
        return operations;
    }

    public String toJSON(){
        Gson gson = new Gson();
        return gson.toJson(this);
    }
}
